Bug 1254302 - linux_admin dependency is too wide open causing failure in internal database configuration
linux_admin dependency is too wide open causing failure in internal database ...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.4.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.5.0
Assigned To: Nick Carboni
Nandini Chandra
: ZStream
Depends On:
Blocks: 1254303
  Show dependency treegraph
 
Reported: 2015-08-17 12:29 EDT by Jason Frey
Modified: 2015-12-08 08:27 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1254303 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:27:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Frey 2015-08-17 12:29:04 EDT
Description of problem:

linux_admin dependency is too wide open causing failure in specs.  In particular, when setting the internal database configuration in the appliance, it blows up with

  1) ApplianceConsole::InternalDatabaseConfiguration postgresql service #start_postgres (private)
     Failure/Error: Unable to find matching line from backtrace
       Exactly one instance should have received the following message(s) but didn't: start

because LinuxAdmin::Service was slightly changed.  This may only affect tests, but we cannot release with failing specs.
Comment 1 CFME Bot 2015-08-17 22:26:24 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=a9325b67ded5a2201a07565e1a9626570d6cbc07

commit a9325b67ded5a2201a07565e1a9626570d6cbc07
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Mon Aug 17 13:39:45 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Mon Aug 17 13:39:45 2015 -0400

    Fixed the version restriction for linux_admin
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1254302
    https://bugzilla.redhat.com/show_bug.cgi?id=1254303

 lib/Gemfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 2 CFME Bot 2015-08-17 22:26:30 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=5ae8c86d077414cdada99b7536abe986d1a9c9f3

commit 5ae8c86d077414cdada99b7536abe986d1a9c9f3
Merge: 755e381 a9325b6
Author:     Jason Frey <jfrey@redhat.com>
AuthorDate: Mon Aug 17 18:08:43 2015 -0400
Commit:     Jason Frey <jfrey@redhat.com>
CommitDate: Mon Aug 17 18:08:43 2015 -0400

    Merge branch 'fix_linux_admin_version' into '5.4.z'
    
    Fixed the version restriction for linux_admin
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1254302
    https://bugzilla.redhat.com/show_bug.cgi?id=1254303
    
    See merge request !227

 lib/Gemfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 3 Milan Falešník 2015-09-11 10:03:39 EDT
Hello, how can I reproduce this exactly on an appliance?
Comment 4 Nick Carboni 2015-09-11 11:43:55 EDT
The PR link didn't make it into this issue somehow, sorry about that.
https://github.com/ManageIQ/manageiq/pull/3839

There was no application symptom for this issue as it was entirely in the Gemfile and spec tests.

To reproduce you would need to bundle and run the rspecs for appliance_console/internal_database_configuration

So on an appliance before the fix run:
unset APPLIANCE
cd /var/www/miq/vmdb
bundle
cd /var/www/miq/vmdb/gems/pending
bundle exec rspec spec/appliance_console/internal_database_configuration_spec.rb

The test should fail.
After the fix it should not.
Comment 8 Nandini Chandra 2015-11-24 13:51:38 EST
Marking this BZ as VERIFIED.
Comment 11 errata-xmlrpc 2015-12-08 08:27:33 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.